Skip to main content
GET
/
cash
Get cash transfers
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/cash \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/cash"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/cash', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "transfers": [
    {
      "amount": 10000,
      "dc_sign": "DEBIT",
      "effective_date": "2022-03-18",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_same_day": true,
      "reference_id": 123456789,
      "status": "POSTED",
      "subtype": "CASH_ORDER",
      "tenant_id": "abcdef_ghijkl",
      "source_data": {},
      "client_bank_account": 123456789,
      "client_name": "Fintech A",
      "customer_id": "46fec39e-e776-4571-bf90-d0e1d15172fe",
      "destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
      "destination_account_number": 1344012344,
      "destination_account_owner_name": "<string>",
      "failed": false,
      "history": [
        {
          "data": {},
          "message": "<string>",
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "network_status": "POSTED",
      "original_reference_id": 123456788,
      "originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "originating_account_number": 1961234745,
      "originating_account_owner_name": "<string>",
      "posting_date": "2022-03-18",
      "suspended": false,
      "transaction_id": "45b5246f-ad97-4629-9aac-465b74a05505"
    }
  ],
  "next_page_token": "a8937a0d"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from_posting_date
string

From posting date of the transfer

currency
string

Currency of the transfer

Example:

"CAD"

to_effective_date
string

To effective date of the transfer

to_posting_date
string

To posting date of the transfer

customer_id
string

Customer ID of the transfer

dc_sign
string

DC sign of the transfer

from_effective_date
string

From effective date of the transfer

max_amount
integer

Maximum amount of the transfer

Required range: x >= 1
Example:

100

destination_account_id
string

Destination account ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

is_same_day
boolean

Is same day transfer

id
string

Cashier Transfer ID

effective_date
string

Effective date of the transfer

destination_account_number
string

Destination account number

Example:

"987654321"

posting_date
string

Posting date of the transfer

network_status
string

Network status of the transfer

originating_account_number
string

Originating account number

Example:

"123456789"

subtype
string

Subtype of the transfer

originating_account_id
string

Originating account ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

partner_id
string

Partner ID of the transfer

destination_account_owner_name
string

Destination account owner name

Example:

"Jane Joe"

bank_id
string

Bank ID of the transfer

reference_id
string

Reference ID of the transfer

status
string

Status of the transfer

amount
string

Amount of the transfer

Example:

100

min_amount
integer

Minimum amount of the transfer

Required range: x >= 1
Example:

100

originating_account_owner_name
string

Originating account owner name

Response

Retrieve all Cashier transfers

transfers
Cash Transfer Response · object[]
required

Array of transfers.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"